3v4l.org

run code in 200+ PHP versions simultaneously
<?php class MyException extends Exception { public function __construct($message = "", $code = 0, Throwable $previous = null) { print "2. Exception constructor\n"; parent::__construct($message, $code, $previous); } } function ololo() { try { print "1. Start\n"; throw new MyException("4. Exception message\n"); } finally { return "3. Return statement\n"; } } try { print ololo(); } catch (Exception $e) { print $e->getMessage(); }
Output for 5.5.0 - 7.4.0
1. Start 2. Exception constructor 3. Return statement
Output for 5.4.0 - 5.4.45
Parse error: syntax error, unexpected 'finally' (T_STRING), expecting catch (T_CATCH) in /in/C16rP on line 16
Process exited with code 255.
Output for 5.1.0 - 5.3.29
Parse error: syntax error, unexpected T_STRING, expecting T_CATCH in /in/C16rP on line 16
Process exited with code 255.
Output for 5.0.0 - 5.0.5
Parse error: parse error, unexpected T_STRING, expecting T_CATCH in /in/C16rP on line 16
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/C16rP on line 5
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/C16rP on line 5
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `T_OLD_FUNCTION' or `T_FUNCTION' or `T_VAR' or `'}'' in /in/C16rP on line 5
Process exited with code 255.